<?php
    session_start();

    if ($_SERVER["REQUEST_METHOD"] == "POST") {
        if (isset($_POST["konyvtar"])) {
            $_SESSION["konyvtarnev"] = $_POST["konyvtar"]."/";
            if (!is_dir($_SESSION["konyvtarnev"])) {
                mkdir($_SESSION["konyvtarnev"]);
            }
        }

        if (isset($_FILES["fajl"])) {
            $kiterjesztes = strtolower(pathinfo($_FILES["fajl"]["name"], PATHINFO_EXTENSION));

            if ($kiterjesztes != "jpg" && $kiterjesztes != "txt") {
                echo "Nem jpg vagy txt fájl lett feltöltve";
                return;
            }

            $txt_fajlmeret = 1024 * 1024;
            $jpg_fajlmeret = 5 * 1024 * 1024;
            $celfajl = $_SESSION["konyvtarnev"].$_POST["fajlnev"].".".$kiterjesztes;
    
            if ($kiterjesztes == "txt" && $_FILES["fajl"]["size"] > $txt_fajlmeret) {
                echo "A txt fájlméret nagyobb, mint a megengedett (1 MB)";
                return;
            }
    
            if ($kiterjesztes == "jpg" && $_FILES["fajl"]["size"] > $jpg_fajlmeret) {
                echo "A jpg fájlméret nagyobb, mint a megengedett (5 MB)";
                return;
            }
    
            move_uploaded_file($_FILES["fajl"]["tmp_name"], $celfajl);
        }
    }
?>